
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "bimbamboom_search/version"

Gem::Specification.new do |spec|
  spec.name          = "bimbamboom_search"
  spec.version       = BimbamboomSearch::VERSION
  spec.authors       = ["HHGB12"]
  spec.email         = ["vincent.viricel@gmail.com"]

  spec.summary       = 'Plugin that adds search capabilities to belongs_to associations for Administrate'
  spec.description   = <<-DESCRIPTION
  Add support to search through (potentially large) belongs_to associations in your Administrate dashboards.
  DESCRIPTION
  spec.homepage      = 'https://github.com/HHGB12/bimbamboom_search'
  spec.license       = "MIT"


  # spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
  #   `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  # end
  # spec.bindir        = "exe"
  # spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  # spec.require_paths = ["lib"]
  #
  # spec.add_development_dependency "bundler", "~> 2.0"
  # spec.add_development_dependency "rake", "~> 10.0"

  spec.require_paths = %w[lib]
  spec.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(spec)/}) }
  spec.test_files = `git ls-files -z -- {spec}/*`.split("\x0")

  spec.add_dependency 'administrate', '>= 0.3', '< 1.0'
  spec.add_dependency 'jbuilder', '~> 2'
  spec.add_dependency 'rails', '>= 4.2', '< 6.0'
  spec.add_dependency 'selectize-rails', '~> 0.6'

  spec.add_development_dependency 'coveralls', '~> 0'
  spec.add_development_dependency 'factory_girl', '~> 4.8'
  spec.add_development_dependency 'rake', '~> 12.0'
  spec.add_development_dependency 'rspec', '~> 3.4'
  spec.add_development_dependency 'rubocop', '0.49.0'
  spec.add_development_dependency 'simplecov', '~> 0'
  spec.add_development_dependency 'sqlite3', '~> 1.3'
end
